Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
ed25519.h File Reference
`#include <botan/pk_keys.h>`

Go to the source code of this file.

## Classes
class | Botan::Ed25519_PrivateKey
class | Botan::Ed25519_PublicKey

## Namespaces
| Botan

## Functions
void | Botan::ed25519_gen_keypair (uint8_t pk[32], uint8_t sk[64], const uint8_t seed[32])
void | Botan::ed25519_sign (uint8_t sig[64], const uint8_t m[], size_t mlen, const uint8_t sk[64], const uint8_t domain_sep[], size_t domain_sep_len)
bool | Botan::ed25519_verify (const uint8_t msg[], size_t msg_len, const uint8_t sig[64], const uint8_t pk[32], const uint8_t domain_sep[], size_t domain_sep_len)